IT教程 | 加入收藏 | 简体 | 繁体
浏览器兼容:Html教程Css教程浏览器兼容手机HtmlBootstrap
当前位置: 首页 > Html+Css > 浏览器兼容

强制使用“兼容性视图”的HTML代码

2013-12-23来源:[www.121ask.com]热度:0℃ 【字体:

强制使用“兼容性视图”的HTML代码:

在IE8浏览器以后版本,都有一个“兼容性视图”,让不少新技术无法使用。那么如何禁止浏览器自动选择“兼容性视图”,强制IE以最高级别的可用模式显示内容呢?下面就介绍一段HTML代码。

X-UA-Compatible是一个设置IE浏览器兼容模式的属性,在IE8浏览器之后诞生。IE8或者IE9有很多种模式,比如,IE8有4种模式:IE5.5怪异模式、IE7标准模式、IE8几乎标准模式、IE8标准模式;而IE9有7种模式: IE5.5怪异模式、IE7标准模式、IE8几乎标准模式、IE8标准模式、IE9几乎标准模式、IE9标准模式、XML模式。

我们常使用代码:

<meta http-equiv="X-UA-Compatible" content="IE=8" />

来开启IE8的标准渲染模式。这种方式在只存在IE8浏览器的时候比较合适,但是后来又出现了IE9、IE10、IE11等等。我们就可以这样写:

<meta http-equiv="X-UA-Compatible" content="IE=9;IE=8;IE=7;" />

意思就是优先最前面的IE9,没IE9就用IE8。那么如果针对每一种都写一遍,似乎就有些冗余了。

所以我们改变方式采用代码:

<meta http-equiv="X-UA-Compatible" content="edge" />

Edge模式通知IE以最高级别的可用模式显示内容,这实际上破坏了“锁定”模式。

当然,我们还见过这样的代码:

<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">

就是增加了chrome=1值,目的是触发Google Chrome Frame,不过现在Google已经抛弃Google Chrome Frame了,因此也不用这样写了。

总结:

强制使用代码,就用上面的代码;

<!DOCTYPE html> 下,不强制使用代码:

<meta http-equiv="X-UA-Compatible" content="edge" />

触发标准模式,这个是最有效的方法。

以上IT文章《强制使用“兼容性视图”的HTML代码》由名客技术网[www.121ask.com]提供阅读!
名客技术网是一个免费为广大IT技术人员提供IT教程,绿色软件,asp/php/jsp/java/net等实例视频教程,CMS教程,破解软件下载以及学习相关源码、知识的IT网站。
名客技术网如果无意之中侵犯了您的版权,请来电告知,本站将在3个工作日内删除 QQ:175352796
Copyright 2011-2017 Powered by 121ASK.COM, All Rights Reserved.
备案号:鄂ICP备11013833号-1